/**
* @brief
  websocket公共头文件

* @version
  V 1.0.0

* @author
  王益俊

* @date
  创建时间:  2018-08-17\n

* @note
  2018-08-17  初次创建。\n

* @warning

* @bug
  
*/

#ifndef _WS_COMMON_INC_H_
#define _WS_COMMON_INC_H_

namespace YA
{
	const int MIN_SEND_INTERVAL = 2;

	/**
	* @brief
	线程配置结构体。
	*/
	struct _THREAD_CONFIG_
	{
		int SendInterval;//发送间隔(单位:秒)
		void Clear()
		{
			SendInterval = 0;
		}
		_THREAD_CONFIG_()
		{
			Clear();
		}
	};

	/**
	* @brief
	卡位置结构体。
	*/
	struct _CARD_POS_
	{
		int Type;//卡类型
		int ID;//卡ID
		double x;//x坐标
		double y;//y坐标
		double z;//z坐标
		double speed;
		int    stat;
		void Clear()
		{
			Type = 0;
			ID   = 0;
			x    = 0.0;
			y    = 0.0;
			z    = 0.0;
			speed = 0;
			stat = 0;
		}
		_CARD_POS_()
		{
			Clear();
		}
	};
}

#endif
